MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0026915Open CASCADE[OCCT] OCCT:Codingpublic2015-11-23 13:202016-04-20 15:50
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.0.0Fixed in Version[OCCT] 7.0.0 
Summary0026915: Visualization - return Handle from Graphic3d_CView::FBOCreate() instead of a pointer
DescriptionExternal Graphic3d_CView FBO API dynamically allocates objects without using handles.
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
related to 0024776closedkgv Visualization - inherit OpenGl_View from Graphic3d_CView 
child of 0026698assignedisn Coding - Avoid usage of non-guarded pointers to dynamically allocated memory 

-  Notes
(0048469)
git (administrator)
2015-11-23 13:24

Branch CR26915 has been created by kgv.

SHA-1: 229d433861ce9d0b4b8111dff4060aab8c9c59d5


Detailed log of new commits:

Author: kgv
Date: Mon Nov 23 13:21:04 2015 +0300

    0026915: Visualization - return Handle from Graphic3d_CView::FBOCreate() instead of a pointer
(0048470)
kgv (developer)
2015-11-23 13:24

Please test the patch.
(0048476)
git (administrator)
2015-11-23 14:16

Branch CR26915 has been updated forcibly by kgv.

SHA-1: 8c8140f81ad8f58225f429d18836d5e5de373def
(0048520)
apv (tester)
2015-11-24 15:23

Dear BugMaster,

Branch CR26915 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested.
SHA-1: 8c8140f81ad8f58225f429d18836d5e5de373def

There is following compilation error
on Linux:
http://jenkins-test-02.nnov.opencascade.com/view/CR26915-master/job/CR26915-master_build_occt_linux/1/parsed_console/ [^]
(0048522)
apv (tester)
2015-11-24 15:25

Dear kgv,

Branche CR26915 has been rejected due to:
- compilation errors
(0048527)
git (administrator)
2015-11-24 15:37

Branch CR26915 has been updated by kgv.

SHA-1: 771ab17c95080e944274734e444a4342e6ccb328


Detailed log of new commits:

Author: kgv
Date: Tue Nov 24 15:37:04 2015 +0300

    OpenGl_View::FBO() - use copy Handle constructor for compatibility.

(0048528)
kgv (developer)
2015-11-24 15:37

Please try updated branch.
(0048536)
git (administrator)
2015-11-24 17:34

Branch CR26915 has been updated forcibly by apv.

SHA-1: bd0ea20474a129b6dfb0d05387990c7c318a495e
(0048537)
apv (tester)
2015-11-24 17:35

Branch CR26915 has been rebased on the current master
(0048568)
apv (tester)
2015-11-25 15:08

Dear BugMaster,

Branch CR26915 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested.
SHA-1: bd0ea20474a129b6dfb0d05387990c7c318a495e

Number of compiler warnings:
occt component:
   Linux: 0 (0 on master)
   Windows: 0 (0 on master)
   MacOS: 134 (134 on master)
products component:
   Linux: 39 (39 on master)
   Windows: 0 (0 on master)

Regressions/Differences:
Not detected

Testing cases:
Not needed

Testing on Linux:
Total MEMORY difference: 93001285 / 93525396 [-0.56%]
Total CPU difference: 19894.24999999962 / 19727.44999999994 [+0.85%]

Testing on Windows:
Total MEMORY difference: 58370191 / 58378770 [-0.01%]
Total CPU difference: 18477.242043098784 / 18194.47463049887 [+1.55%]
(0053067)
git (administrator)
2016-04-17 14:07

Branch CR26915 has been deleted by kgv.

SHA-1: bd0ea20474a129b6dfb0d05387990c7c318a495e

- Related Changesets
occt: master b128c892
Timestamp: 2015-11-23 11:16:08
Author: kgv
Committer: bugmaster
Details ] Diff ]
0026915: Visualization - return Handle from Graphic3d_CView::FBOCreate() instead of a pointer

OpenGl_View::FBO() - use copy Handle constructor for compatibility.
mod - src/D3DHost/D3DHost_View.cxx Diff ] File ]
mod - src/Graphic3d/FILES Diff ] File ]
mod - src/Graphic3d/Graphic3d_CView.hxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_GraphicDriver.hxx Diff ] File ]
rm - src/Graphic3d/Graphic3d_PtrFrameBuffer.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_GraphicDriver.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_View.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_View.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_View_Print.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_View_Redraw.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_Workspace.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_Workspace.hxx Diff ] File ]
mod - src/V3d/V3d_View.cxx Diff ] File ]
mod - src/ViewerTest/ViewerTest_ViewerCommands.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2015-11-23 13:20 kgv New Issue
2015-11-23 13:20 kgv Assigned To => kgv
2015-11-23 13:22 kgv Relationship added child of 0026698
2015-11-23 13:23 kgv Relationship added related to 0024776
2015-11-23 13:24 git Note Added: 0048469
2015-11-23 13:24 kgv Note Added: 0048470
2015-11-23 13:24 kgv Assigned To kgv => bugmaster
2015-11-23 13:24 kgv Status new => resolved
2015-11-23 13:24 kgv Status resolved => reviewed
2015-11-23 14:16 git Note Added: 0048476
2015-11-23 15:59 apv Assigned To bugmaster => apv
2015-11-24 15:20 apv Test case number => Not needed
2015-11-24 15:23 apv Note Added: 0048520
2015-11-24 15:23 apv Assigned To apv => kgv
2015-11-24 15:23 apv Status reviewed => assigned
2015-11-24 15:25 apv Note Added: 0048522
2015-11-24 15:37 git Note Added: 0048527
2015-11-24 15:37 kgv Note Added: 0048528
2015-11-24 15:37 kgv Assigned To kgv => bugmaster
2015-11-24 15:37 kgv Status assigned => resolved
2015-11-24 15:37 kgv Status resolved => reviewed
2015-11-24 17:17 apv Assigned To bugmaster => apv
2015-11-24 17:34 git Note Added: 0048536
2015-11-24 17:35 apv Note Added: 0048537
2015-11-25 15:08 apv Note Added: 0048568
2015-11-25 15:08 apv Assigned To apv => bugmaster
2015-11-25 15:08 apv Status reviewed => tested
2015-11-27 12:21 bugmaster Changeset attached => occt master b128c892
2015-11-27 12:21 bugmaster Status tested => verified
2015-11-27 12:21 bugmaster Resolution open => fixed
2016-04-17 14:07 git Note Added: 0053067
2016-04-20 15:42 aiv Fixed in Version => 7.0.0
2016-04-20 15:50 aiv Status verified => closed


Copyright © 2000 - 2021 MantisBT Team
Powered by Mantis Bugtracker